﻿
@using Jumbula.Common.Helper
@model ParentInvoiceViewModel

@{
    ViewBag.Title = "Invoice Detail";
    ViewBag.IsRegistrantReport = true;
}

<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="title-page">
                <h1> Invoice Details </h1>
            </div>
            <div class="title-result-report">

                @Html.ActionLink("Download", "InvoiceExportPdf", "Registrant", new { invoiceId = @Model.InfoModel.invoiceId }, new { @class = "btn-report-download" })
                <select id="selectExport" class="select-export">
                    <option>PDF</option>
                </select>
            </div>
        </div>
    </div>
    <div class="row" id="dvmismatch">

        <div class="col-md-12">

            <div class="box-all">

                <div class="row">
                    <div class="col-md-6 col-sm-12">
                        <div class="row">
                            <div class="col-md-12">
                                <img class="logo-club" src='@Model.InfoModel.ClubUrlLogo' />
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-12 titel h1 title-corner-page">
                        <h1>INVOICE</h1>
                        @if (Model.InfoModel.StatusInvoice == "Paid")
                        { <span class="Lable-fix-green"> Paid </span>}
                        @if (Model.InfoModel.StatusInvoice == "Canceled")
                        {

                            <span class="Lable-fix-orange"> Canceled </span>
                        }
                    </div>

                </div>
                <div class="row">
                    <div class="col-md-6 col-sm-12">
                        <div class="content-invoice">
                            @if (Model.InfoModel.ClubName != Model.InfoModel.MemberName && Model.InfoModel.HasPartner == true)
                            {
                                <span class="block margin-one-row">
                                    @Model.InfoModel.ClubName
                                </span>
                            }
                            <span class="block  margin-one-row ">
                                @Model.InfoModel.MemberName
                            </span>
                            <span class="block">
                                @Model.InfoModel.ClubAddress
                            </span>
                            <span class="block  margin-one-row ">

                            </span>
                            <span class="block">
                                @Model.InfoModel.ContactClubEmail
                            </span>
                            <span class="block">
                                @Model.InfoModel.ClubSite
                            </span>
                        </div>
                    </div>
                    <div class="col-md-6 col-sm-12">
                        <div class="row" style="margin-top: 14px !important;">
                            <div class="col-md-6 col-sm-12 inline-form-text  req-star padding-reset lineuper">Invoice #:</div>
                            <div class="col-md-6 col-sm-12 padding-reset lineuper-padding" style="margin-left:0px;">
                                @Model.InfoModel.InvoiceNumber
                            </div>
                        </div>
                        @if (Model.InfoModel.Refrense != null)
                        {
                            <div class="row" style="margin-top:0px !important;">
                                <div class="col-md-6 col-sm-12 inline-form-text padding-reset lineuper">Reference:</div>
                                <div class="col-md-6 col-sm-12 padding-reset lineuper-padding" style="margin-left:0px;">
                                    @Model.InfoModel.Refrense
                                </div>
                            </div>
                        }
                        <div class="row" style="margin-top:0px !important;">
                            <div class="col-md-6 col-sm-12 inline-form-text padding-reset lineuper">Due date:</div>
                            <div class="col-md-6 col-sm-12 padding-reset lineuper-padding" style="margin-left:0px;">
                                @Model.InfoModel.StrDueDate
                            </div>
                        </div>
                        <div class="row" style="margin-top:0px !important;">
                            <div class="col-md-6 col-sm-12 inline-form-text padding-reset"></div>
                            <div class="col-md-6 col-sm-12 padding-reset" style="margin-left:0px;">
                                <div class="box-amount-due">
                                    <p style="margin: 0;">
                                        Amount Due: <br />@CurrencyHelper.FormatCurrencyWithPenny(@Model.InfoModel.AmountDue, Model.InfoModel.Currency)
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="row">
                    <div class="col-md-12">
                        <div style="display:table;">
                            <div style="display:table-row">
                                <div style="display:table-cell;text-align:left;font-size:16px;font-weight: 600;">
                                    <span>
                                        Bill to
                                    </span>
                                </div>
                            </div>
                            <div style="display:table-row">
                                <div style="display:table-cell">
                                    <label style="margin-left:0;">@Model.InfoModel.UserEmail</label>
                                </div>
                            </div>
                            <div style="display:table-row">
                                <div style="display:table-cell">
                                    <label style="margin-left:0;">@Model.InfoModel.EmailCc</label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <hr />
                <div class="row">
                    <div class="col-md-12">
                        <div class="table-responsive">
                            <table class="table table-striped">
                                <thead style="background-color: rgb(27,129,192);color:#fff;">
                                    <tr>
                                        <td style="width: 30px;max-width:30px;min-width:30px;"></td>
                                        <th class="text-left" style="width: 334px;max-width: 334px;min-width:334px;">Date</th>
                                        <th class="text-left" style="width: 172px;max-width: 172px;min-width:172px;">Confirmation</th>
                                        <th class="text-right" style="width: 136px;max-width:136px;min-width:136px;">Amount</th>
                                        <th class="text-right" style="width: 95px;max-width:95px;min-width:95px;">Paid</th>
                                        <th class="text-right" style="width: 134px;max-width:134px;min-width:134px;">Balance</th>
                                        <th class="text-right" style="width: 237px;max-width:237px;min-width:237px;padding-right:14px;">Invoice amount</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach (var order in Model.InvoiceItemModel.Orders)
                                    {
                                        <tr role="row">
                                            <td></td>
                                            <td>@order.StrOrderDate</td>
                                            <td>@order.ConfirmationId</td>
                                            <td class="text-right">@CurrencyHelper.FormatCurrencyWithPenny(@order.OrderAmount, Model.InfoModel.Currency)</td>
                                            <td class="text-right">@CurrencyHelper.FormatCurrencyWithPenny(@order.PaidAmount, Model.InfoModel.Currency)</td>
                                            <td class="text-right">
                                                <label style="color:red;margin:0;">@CurrencyHelper.FormatCurrencyWithPenny(@order.Balance, Model.InfoModel.Currency)</label>
                                            </td>
                                            <td class="text-right" style="padding-right:14px;">
                                                @if (Model.InfoModel.StatusInvoice != "Paid")
                                                {
                                                    @CurrencyHelper.FormatCurrencyWithPenny(@order.InvoiceAmount, Model.InfoModel.Currency)
                                                }
                                                else
                                                {
                                                    <span>$0.00</span>
                                                }


                                            </td>
                                        </tr>
                                        <tr style="display: table-row;">

                                            <td class="k-hierarchy-cell"></td>

                                            <td class="k-detail-cell" colspan="6">
                                                <table class="tbl-fullsize">
                                                    <tr style="background-color:rgb(208, 230, 243);width: 516px;">
                                                        <th style="width:30px;"></th>
                                                        <th class="text-left" style="color:black;width: 296px; max-width: 296px;min-width:296px;">Participant</th>
                                                        <th class="text-left" style="color:black;width: 172px; max-width: 172px;min-width:172px;">Program name</th>
                                                        <th class="text-right" style="color:black;width: 135px; max-width: 135px;min-width:135px;">Amount</th>
                                                        <th class="text-right" style="color:black;width: 97px; max-width: 97px;min-width:97px;">Paid</th>
                                                        <th class="text-right" style="color:black;width: 130px; max-width: 130px;min-width:130px;">Balance</th>
                                                        <th class="text-right" style="color:black;width: 232px; max-width: 232px;min-width:232px;">Invoice amount</th>
                                                    </tr>
                                                    <text>
                                                        @foreach (var orderItem in Model.InvoiceItemModel.OrderItems.Where(o => o.OrderId == order.Id))
                                                        {
                                                            <tr role="row">
                                                                <td></td>
                                                                @if (orderItem.IsCancel)
                                                                {
                                                                    <td>@orderItem.Attendee<span style="background-color:#fa6800;color:white">Canceled</span></td>
                                                                }
                                                                else
                                                                {
                                                                    <td>@orderItem.Attendee</td>
                                                                }

                                                                <td>@orderItem.ProgramName</td>
                                                                <td class="text-right">@CurrencyHelper.FormatCurrencyWithPenny(@orderItem.EntryFee, Model.InfoModel.Currency)</td>
                                                                <td class="text-right">@CurrencyHelper.FormatCurrencyWithPenny(@orderItem.PaidAmount, Model.InfoModel.Currency)</td>
                                                                <td class="text-right">
                                                                    <label style="color:red;margin:0;">@CurrencyHelper.FormatCurrencyWithPenny(@orderItem.Balance, Model.InfoModel.Currency)</label>
                                                                </td>
                                                                <td class="text-right">
                                                                    @if (Model.InfoModel.StatusInvoice != "Paid")
                                                                    {
                                                                        if (orderItem.PaymentplanType == PaymentPlanType.Installment)
                                                                        {<span>@CurrencyHelper.FormatCurrencyWithPenny(@orderItem.InvoiceAmount, Model.InfoModel.Currency)</span> }
                                                                        else
                                                                        {
                                                                            <span>@CurrencyHelper.FormatCurrencyWithPenny(@orderItem.Balance, Model.InfoModel.Currency)</span>

                                                                        }

                                                                    }
                                                                    else
                                                                    {
                                                                        if (orderItem.PaymentplanType == PaymentPlanType.Installment)
                                                                        {<span>$0.00</span> }
                                                                        else
                                                                        {
                                                                            <span>$0.00</span>

                                                                        }
                                                                    }

                                                                </td>
                                                            </tr>

                                                            if (orderItem.PaymentplanType == PaymentPlanType.Installment)
                                                            {
                                                                <tr style="display: table-row;">
                                                                    <td class="k-hierarchy-cell" colspan="0"></td>
                                                                    <td class="k-detail-cell" colspan="6" style="padding:5px 0 !important;">
                                                                        <table class="tbl-sub">
                                                                            <tr style="background-color: rgba(225, 237, 247, 0.47);width: 516px;color:black;">
                                                                                <th style="width:30px;max-width:30px;min-width:30px;"></th>
                                                                                <th class="text-left" style="width:266px;max-width:266px;min-width:266px;">Due date</th>
                                                                                <th class="text-left" style="width:173px;max-width:173px;min-width:173px;">Paid on</th>
                                                                                <th class="text-right" style="width:133px;max-width:133px;min-width:133px;">Amount</th>
                                                                                <th class="text-right" style="width:96px;max-width:96px;min-width:96px;">Paid</th>
                                                                                <th class="text-right" style="width:131px;max-width:131px;min-width:131px;">Balance</th>
                                                                                <th class="text-right" style="width:230px;max-width:230px;min-width:230px;">Invoice amount</th>

                                                                            </tr>
                                                                            @foreach (var instalments in Model.InvoiceItemModel.Instalments.Where(o => o.OrderItemId == orderItem.Id))
                                                                            {

                                                                                <tr role="row">
                                                                                    <td></td>
                                                                                    <td>@instalments.StrDueDate</td>
                                                                                    <td>@instalments.StrPaidDate</td>
                                                                                    <td class="text-right">@CurrencyHelper.FormatCurrencyWithPenny(@instalments.Amount, Model.InfoModel.Currency)</td>
                                                                                    <td class="text-right">@CurrencyHelper.FormatCurrencyWithPenny(@instalments.PaidAmount, Model.InfoModel.Currency)</td>
                                                                                    <td class="text-right">
                                                                                        <label style="color:red;margin:0;">@CurrencyHelper.FormatCurrencyWithPenny(@instalments.Balance, Model.InfoModel.Currency)</label>
                                                                                    </td>
                                                                                    <td class="text-right">
                                                                                        @if (Model.InfoModel.StatusInvoice != "Paid")
                                                                                        {
                                                                                            <span>@CurrencyHelper.FormatCurrencyWithPenny(@instalments.Balance, Model.InfoModel.Currency)</span>
                                                                                        }
                                                                                        else
                                                                                        {
                                                                                            <span>$0.00</span>
                                                                                        }


                                                                                    </td>
                                                                                </tr>
                                                                            }

                                                                        </table>
                                                                    </td>
                                                                </tr>
                                                            }
                                                        }

                                                    </text>
                                                </table>
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12">
                        <div class="table-amount-container">
                            <div class="table-amount div-table">
                                <div class="table-row">
                                    <div class="table-div-cel" style="border-right: 1px solid #bebebe;">
                                        <span class="txt-blod">
                                            Subtotal
                                        </span>
                                    </div>
                                    <div class="table-div-cel">
                                        <span style="text-align:right;padding-left: 30px;">
                                            @CurrencyHelper.FormatCurrencyWithPenny(@Model.InfoModel.TotalAmount, Model.InfoModel.Currency)
                                        </span>
                                    </div>
                                </div>
                                <div class="table-row">
                                    <div class="table-div-cel" style="border-right: 1px solid #bebebe;">
                                        <span class="txt-blod">
                                            Total
                                        </span>
                                    </div>
                                    <div class="table-div-cel">
                                        <span style="text-align:right;padding-left: 30px; ">
                                            @CurrencyHelper.FormatCurrencyWithPenny(@Model.InfoModel.TotalAmount, Model.InfoModel.Currency)
                                        </span>
                                    </div>
                                </div>
                                <div class="table-row">
                                    <div class="table-div-cel" style="border-right: 1px solid #bebebe;">
                                        <span class="txt-blod">
                                            Amount paid
                                        </span>
                                    </div>
                                    <div class="table-div-cel">
                                        <span style="text-align:right;padding-left: 30px;">
                                            @CurrencyHelper.FormatCurrencyWithPenny(@Model.InfoModel.AmountPaid, Model.InfoModel.Currency)
                                        </span>
                                    </div>
                                </div>
                                <div class="table-row">
                                    <div class="table-div-cel" style="border-right: 1px solid #bebebe;">
                                        <span class="txt-blod">
                                            Amount due
                                        </span>
                                    </div>
                                    <div class="table-div-cel">
                                        <span style="text-align:right;padding-left: 30px; ">
                                            @CurrencyHelper.FormatCurrencyWithPenny(@Model.InfoModel.AmountDue, Model.InfoModel.Currency)
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr />
                    </div>

                    <div class="col-md-6 col-sm-12">

                        @if (Model.InfoModel.NoteToRecipient != null)
                        {
                            <div class="form-group">
                                <label for="NoteToRecipient">Note to recipient</label>
                                <textarea id="NoteToRecipient" class="form-control" rows="3">@Model.InfoModel.NoteToRecipient</textarea>
                            </div>
                        }
                    </div>
                </div>
                @if (Model.InfoModel.StatusInvoice != "Paid" && Model.InfoModel.StatusInvoice != "Canceled")
                {
                    <hr />
                    <div style="text-align: center;">
                        <a id="send-url" style="width: 400px;" class="btn btn-success " href="@Url.Action("AddInvoiceToCart",new { invoiceId=@Model.InfoModel.invoiceId})">
                            Pay Now
                        </a>
                    </div>
                }

            </div>


        </div>

    </div>

</div>
@section Styles{
    <link href="~/Content/Student/Dashboard/Order.css" rel="stylesheet" />
    <link href="~/Content/Student/Dashboard/invoice-detail.css" rel="stylesheet" />
}
@section Scripts{

    <script type="text/javascript">
        var status = '@Model.Status'
        if (status == 'True') {
            //success:function Message(){
            toastr.success("Your payment was successful.");
            //}
        }

    </script>

}

